Bug 1428516 - [Satellite 6.2.7] Per-page and page options do nothing on hammer role filters (--per-page --page)
Summary: [Satellite 6.2.7] Per-page and page options do nothing on hammer role filters...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Users & Roles
Version: 6.2.7
Hardware: All
OS: Linux
unspecified
high vote
Target Milestone: Unspecified
Assignee: Marek Hulan
QA Contact: Katello QA List
URL:
Whiteboard:
: 1394393 1474238 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-02 17:54 UTC by Abhishek Sahni
Modified: 2020-07-16 09:16 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:54:37 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 18790 None None None 2017-03-03 15:12:05 UTC
Red Hat Knowledge Base (Solution) 3299281 None None None 2017-12-23 12:17:06 UTC

Description Abhishek Sahni 2017-03-02 17:54:55 UTC
Description of problem:

While listing role's filter using hammer cli results in fixed output even passing --per-page and --page options


Version-Release number of selected component (if applicable):

satellite-cli-6.2.7-1.0.el7sat.noarch
foreman-1.11.0.65-1.el7sat.noarch
tfm-rubygem-hammer_cli-0.5.1.12-1.el7sat.noarch


How reproducible:
100 %


Steps to Reproduce:

#hammer shell

hammer> role filters --name Manager --per-page 5 
(or)
hammer> role filters --name Manager --per-page 10 --page 2 

Actual results:

hammer> role filters --name Manager --per-page 4
---|----------------------|--------|------------|---------|---------------------------------------------------------------------------------
ID | RESOURCE TYPE        | SEARCH | UNLIMITED? | ROLE    | PERMISSIONS                                                                     
---|----------------------|--------|------------|---------|---------------------------------------------------------------------------------
7  | Architecture         | none   | yes        | Manager | view_architectures, create_architectures, edit_architectures, destroy_archite...
8  | Audit                | none   | yes        | Manager | view_audit_logs                                                                 
9  | AuthSourceLdap       | none   | yes        | Manager | view_authenticators, create_authenticators, edit_authenticators, destroy_auth...
10 | Bookmark             | none   | yes        | Manager | view_bookmarks, create_bookmarks, edit_bookmarks, destroy_bookmarks             
11 | CommonParameter      | none   | yes        | Manager | view_globals, create_globals, edit_globals, destroy_globals                     
12 | ComputeResource      | none   | yes        | Manager | view_compute_resources, create_compute_resources, edit_compute_resources, des...
13 | (Miscellaneous)      | none   | yes        | Manager | access_dashboard, view_plugins, access_settings, view_statistics, view_tasks    
14 | Domain               | none   | yes        | Manager | view_domains, create_domains, edit_domains, destroy_domains                     
15 | Environment          | none   | yes        | Manager | view_environments, create_environments, edit_environments, destroy_environmen...
16 | FactValue            | none   | yes        | Manager | view_facts, upload_facts                                                        
17 | HostClass            | none   | yes        | Manager | edit_classes                                                                    
18 | Hostgroup            | none   | yes        | Manager | view_hostgroups, create_hostgroups, edit_hostgroups, destroy_hostgroups         
19 | Host                 | none   | yes        | Manager | view_hosts, create_hosts, edit_hosts, destroy_hosts, build_hosts, power_hosts...
20 | Image                | none   | yes        | Manager | view_images, create_images, edit_images, destroy_images                         
21 | Location             | none   | yes        | Manager | view_locations, create_locations, edit_locations, destroy_locations, assign_l...
22 | PuppetclassLookupKey | none   | yes        | Manager | view_external_parameters, create_external_parameters, edit_external_parameter...
23 | MailNotification     | none   | yes        | Manager | view_mail_notifications                                                         
24 | Medium               | none   | yes        | Manager | view_media, create_media, edit_media, destroy_media                             
25 | Model                | none   | yes        | Manager | view_models, create_models, edit_models, destroy_models                         
26 | Operatingsystem      | none   | yes        | Manager | view_operatingsystems, create_operatingsystems, edit_operatingsystems, destro...
---|----------------------|--------|------------|---------|---------------------------------------------------------------------------------
Page 1 of 2 (use --page and --per-page for navigation)


Expected results:

hammer> role filters --name Manager --per-page 5
---|----------------------|--------|------------|---------|---------------------------------------------------------------------------------
ID | RESOURCE TYPE        | SEARCH | UNLIMITED? | ROLE    | PERMISSIONS                                                                     
---|----------------------|--------|------------|---------|---------------------------------------------------------------------------------
7  | Architecture         | none   | yes        | Manager | view_architectures, create_architectures, edit_architectures, destroy_archite...
8  | Audit                | none   | yes        | Manager | view_audit_logs                                                                 
9  | AuthSourceLdap       | none   | yes        | Manager | view_authenticators, create_authenticators, edit_authenticators, destroy_auth...
10 | Bookmark             | none   | yes        | Manager | view_bookmarks, create_bookmarks, edit_bookmarks, destroy_bookmarks             
11 | CommonParameter      | none   | yes        | Manager | view_globals, create_globals, edit_globals, destroy_globals     
---|----------------------|--------|------------|---------|---------------------------------------------------------------------------------
Page 1 of 2 (use --page and --per-page for navigation)                

Additional info:

Comment 1 Marek Hulan 2017-03-03 15:12:01 UTC
Created redmine issue http://projects.theforeman.org/issues/18790 from this bug

Comment 2 Marek Hulan 2017-03-03 15:15:40 UTC
Thanks for the report. The fix seems to be trivial, I sent a patch for testing.

Comment 4 pm-sat@redhat.com 2017-03-03 17:12:38 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 5 pm-sat@redhat.com 2017-03-03 17:12:42 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 6 pm-sat@redhat.com 2017-03-06 13:12:42 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/18790 has been resolved.

Comment 7 Marek Hulan 2017-04-24 09:42:35 UTC
*** Bug 1394393 has been marked as a duplicate of this bug. ***

Comment 8 Mike McCune 2017-05-17 20:43:00 UTC
moving to 6.3 as there isn't a huge demand for this in 6.2. If customers want this we can reconsider backporting.

Comment 9 Andrii Balakhtar 2017-07-27 13:35:43 UTC
Verified by automation on Sat6.3.0-8.0

Comment 10 Marek Hulan 2017-08-04 13:57:52 UTC
*** Bug 1474238 has been marked as a duplicate of this bug. ***

Comment 13 pm-sat@redhat.com 2018-02-21 16:54:37 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> > 
> > For information on the advisory, and where to find the updated files, follow the link below.
> > 
> > If the solution does not work for you, open a new bug report.
> > 
> > https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.